Download it now!
Bug 100894 - FILEOPEN FILESAVE IMPORT Conditional formatting: xls file with a lot of Conditional formatting freeze Calc when opening Styles sidebar
Summary: FILEOPEN FILESAVE IMPORT Conditional formatting: xls file with a lot of Condi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: interoperability target:6.2.0
Keywords: filter:xls, notBibisectable
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2016-07-13 12:43 UTC by Maxim Britov
Modified: 2019-06-19 02:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example with a lot of conditional formatting (611.64 KB, application/zip)
2016-07-13 12:44 UTC, Maxim Britov
Details
Same example. Exported from Office 365 for Android. OpenXML. (644.51 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-06-18 14:51 UTC, Maxim Britov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Britov 2016-07-13 12:43:40 UTC
There is file from our user created in Excel with a lot of Conditional formatting.

I can open it in LibreOffice 5.1.4 on Windows.
I can open it in Excel 2007 / 2010 / 2016.
I can't open it in LibreOffice 5.1.4 on my Linux x64 (freeze / 100% cpu)
I can't open it in LibreOffice 5.2RC2 on my Linux x64 (freeze / 100% cpu)

On Windows, where I can open it in LibreOffice I have freeze on: save as xls, save as ods, on F11 key.

File with be attached. I removed most data from file, but I can't track down to some minimal level for reproducing. Sorry.
Comment 1 Maxim Britov 2016-07-13 12:44:51 UTC
Created attachment 126197 [details]
Example with a lot of conditional formatting
Comment 2 Buovjaga 2016-07-18 04:07:46 UTC
I could open it.

64-bit, KDE Plasma 5
Build ID: 5.1.4.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: ab1b351840160655a9f0caedbb35e9fdf203c5a0
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 16th 2016
Comment 3 Maxim Britov 2016-07-18 08:42:51 UTC
(In reply to Buovjaga from comment #2)
> I could open it.

How about F11 or File - Save?

I can open file too, on Gentoo Build.
But RPMs from DF - not.
Comment 4 Buovjaga 2016-07-18 10:32:41 UTC
Oh yeah, sorry didn't test F11 etc.
Now I can make it freeze with F11 on Windows.

Win 7 Pro 64-bit Version: 5.3.0.0.alpha0+
Build ID: 28ac6fdc11559b58ac62089300aa99530b0b822d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-07-18_02:54:20
Locale: fi-FI (fi_FI); Calc: CL
Comment 5 Justin L 2016-12-26 14:09:10 UTC
There is something fundamentally wrong with qqq6.xls.  It is 17MB in size.

I gave up trying to open it in bibisect43all oldest.  The progress bar moved slower and slower as it kept loading.

F11 pegged my CPU at 100% for 5 minutes before I killed LO5.4alpha on Ubuntu x64
Comment 6 QA Administrators 2018-03-25 02:29:29 UTC Comment hidden (obsolete)
Comment 7 Xavier Van Wijmeersch 2018-03-25 07:26:26 UTC
Can open file with master, but the conditional formatting in every sheet is a disaster. The hole thing is messed up, even deleting 6 sheets wont help.

Version: 6.1.0.0.alpha0+
Build ID: 1fbe46cf08f525e78016feef83f4c38b79b337ba
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-24_23:04:38
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 8 Timur 2018-05-21 15:23:22 UTC
Could we make it a duplicate of Bug 61484?
Comment 9 Buovjaga 2018-05-21 17:00:22 UTC
(In reply to Timur from comment #8)
> Could we make it a duplicate of Bug 61484?

Dunno, Maxim's file opens pretty fast for me in master, but F11 still makes it freeze.

Arch Linux 64-bit
Version: 6.1.0.0.alpha1+
Build ID: 21b11273ae91f0cf7fd5f3f9fd2168e4349852c4
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 11th 2018
Comment 10 Buovjaga 2018-05-21 17:10:06 UTC
(In reply to Timur from comment #8)
> Could we make it a duplicate of Bug 61484?

Just to confirm, this is different from bug 61484, because the xls in bug 61484 takes a long time for me to open on Linux.
Comment 11 Commit Notification 2018-06-14 07:13:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d70f53a8269be31f0412926afa5ba826faed6633

tdf#100894 freeze when editing calc file with bazillions of cond formatting

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Tor Lillqvist 2018-06-14 10:06:27 UTC
See ea55492a6e55290d92a59324b3cb31ed958981ab which dedicates conditional formats in .ods import. Something similar needs to be done for .xls import, too, I guess.
Comment 13 Tor Lillqvist 2018-06-14 10:12:24 UTC
s/dedicates/deduplicates. thanks, autocorrect.
Comment 14 Luke 2018-06-16 01:44:11 UTC
My 2 cents: This file is also broken under both Excel 2013 and 2016. It seems like it was possibly created programmatically or by someone intentionally trying to break Excel. This file uses overlapping conditional formats, a feature we don't properly support. See Bug 91654.

Wouldn't it make more sense to focus on improving interoperability with real world files, rather than optimizing a feature we don't even support properly?
Comment 15 Maxim Britov 2018-06-18 14:48:13 UTC
(In reply to Luke from comment #14)
> My 2 cents: This file is also broken under both Excel 2013 and 2016. It
> seems like it was possibly created programmatically or by someone
> intentionally trying to break Excel. This file uses overlapping conditional
> formats, a feature we don't properly support. See Bug 91654.
> 
> Wouldn't it make more sense to focus on improving interoperability with real
> world files, rather than optimizing a feature we don't even support properly?

Please read comments. Initial comment for example. File from real user, personal data dropped from tables. Excel 2003.
Converted and saved from Office 365 from my Android. I will attach it.
Comment 16 Maxim Britov 2018-06-18 14:51:52 UTC
Created attachment 142868 [details]
Same example. Exported from Office 365 for Android. OpenXML.
Comment 17 QA Administrators 2019-06-19 02:48:58 UTC
Dear Maxim Britov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug